<?php
class ControllerStep1 extends Controller {
	private $error = array();
	
	public function index() {
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
			$this->redirect($this->url->http('step_2'));
		}

		$this->data['error_warning'] = @$this->error['warning'];
		
		$this->data['action'] = $this->url->http('step_1');

		$this->data['config_catalog'] = DIR_OPENCART . 'config.php';
		$this->data['config_admin'] = DIR_OPENCART . 'admin/config.php';
		
		$this->data['cache'] = DIR_OPENCART . 'cache';
		$this->data['image'] = DIR_OPENCART . 'image';
		$this->data['image_cache'] = DIR_OPENCART . 'image/cache';
		$this->data['download'] = DIR_OPENCART . 'download';

		$this->id       = 'content';
		$this->template = 'step_1.tpl';
		$this->layout   = 'layout';
		$this->render();
	}
	
	private function validate() {
		if (phpversion() < '5.0') {
			$this->error['warning'] = 'คำเตือน: คุณต้องใช้ PHP5 หรือสูงกว่าสำหรับ OpenCart ทำงาน!';
		}

		if (!ini_get('file_uploads')) {
			$this->error['warning'] = 'คำเตือน: file_uploads ต้องเปิดใช้งาน!';
		}
	
		if (ini_get('session.auto_start')) {
			$this->error['warning'] = 'คำเตือน: OpenCart จะไม่ทำงาน หากเปิด session.auto_start!';
		}

		if (!extension_loaded('mysql')) {
			$this->error['warning'] = 'คำเตือน: ส่วนขยาย MySQL ต้องถูกโหลดเพื่อให้ OpenCart ทำงาน!';
		}

		if (!extension_loaded('gd')) {
			$this->error['warning'] = 'คำเตือน: ส่วนขยาย GD ต้องถูกโหลดเพื่อให้ OpenCart ทำงาน!';
		}

		if (!extension_loaded('zlib')) {
			$this->error['warning'] = 'คำเตือน: ส่วนขยาย ZLIB ต้องถูกโหลดเพื่อให้ OpenCart ทำงาน!';
		}
	
		if (!is_writable(DIR_OPENCART . 'config.php')) {
			$this->error['warning'] = 'คำเตือน: config.php ต้องเขียนเขียนได้เพื่อติดตั้ง OpenCart!';
		}
				
		if (!is_writable(DIR_OPENCART . 'admin/config.php')) {
			$this->error['warning'] = 'คำเตือน: config.php ต้องเขียนเขียนได้เพื่อติดตั้ง OpenCart!';
		}

		if (!is_writable(DIR_OPENCART . 'cache')) {
			$this->error['warning'] = 'คำเตือน: directory Cache ต้องเขียนเขียนได้เพื่อให้ OpenCart ทำงาน!';
		}

		if (!is_writable(DIR_OPENCART . 'image')) {
			$this->error['warning'] = 'คำเตือน: directory Image ต้องเขียนเขียนได้เพื่อให้ OpenCart ทำงาน!';
		}

		if (!is_writable(DIR_OPENCART . 'image/cache')) {
			$this->error['warning'] = 'คำเตือน: directory Image cache ต้องเขียนเขียนได้เพื่อให้ OpenCart ทำงาน!';
		}
	
		if (!is_writable(DIR_OPENCART . 'download')) {
			$this->error['warning'] = 'คำเตือน: directory Download ต้องเขียนเขียนได้เพื่อให้ OpenCart ทำงาน!';
		}
		
    	if (!$this->error) {
      		return TRUE;
    	} else {
      		return FALSE;
    	}
	}
}
?>